:root{
    --themeColor1: #F8F6F6;
    --themeColor2: #F5D061;
    --themeColor3: #2A363B;
    --themeColor4: #CF4647;
    --base-margin: 1em 0 0 2.25em;
    --special-font-size: 3rem;
    --primary-font-size: 1.3rem;
    --primary-font-family: 'Parkinsans', sans-serif;
    --secondary-font-family: 'Quicksand', sans-serif;
    --text-font-family: 'lexend', sans-serif;
}

.sec_theme{
    --themeColor1: #222831;
    --themeColor2: #393E46;
    --themeColor3: #00ADB5;
    --themeColor4: #EEEEEE;
}

.thi_theme{
    --themeColor1: #222831;
    --themeColor2: #393E46;
    --themeColor3: #EEEEEE;
    --themeColor4: #00ADB5;
}

.for_theme{
    --themeColor1: #434343;
    --themeColor2: #aa8b53;
    --themeColor3: #FAEBCD;
    --themeColor4: #f7c873;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body::-webkit-scrollbar{
    width: 10px;
    scroll-behavior: smooth;
}
body::-webkit-scrollbar:horizontal{
    display: none;
}
body::-webkit-scrollbar-thumb{
    background: var(--themeColor4);
    border-radius: 20px;
}
body::-webkit-scrollbar-thumb:hover{
    background: var(--themeColor3);
}
body::-webkit-scrollbar-corner{
    display: none;
}
body{
    background-color: var(--themeColor1);
    margin: 0;
    padding: 0;
    font-family: lexend, Montserrat, outfit, parkinsans, Quicksand, sans-serif;
    transition: all 0.5s ease-in-out;
}

header{
    height:auto;
    width: 100%;
    max-width: 100%;
    z-index: 1;
    position: fixed;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: backdrop-filter 0.6s ease-in-out, background 0.6s ease-in-out;
    padding: 15px 25px;
}
.side-menu{
    display: none;
}
.menu{
    display: none;
}

.blur{
    backdrop-filter: blur(15px);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
}
header img {
    height: 4rem;
    max-width: 9rem;
    width: 4rem;
}
.false {
    width: 45vw;
    height: 45vw;
    top: 0;
    margin: 0;
    padding: 0;
    background-color: var(--themeColor2);
    position: fixed;
    z-index: -1;
    border-radius: 0 0 148% 0;
}

header div{
    width: 60%;
}

header div ul {
    list-style-type: none;
    display: flex;
    justify-content: space-between;    
    width: auto;
}

header div ul a{
    font-size: clamp(13px, 1.1rem, 2.25em);
    text-decoration: none;
    text-decoration-color: none;
    font-family: var(--primary-font-family);
    font-weight: 500;
    color: var(--themeColor4);
    transition: all 0.5s ease-in-out;
}

header div ul a:hover{
    text-decoration: underline;
    color: var(--themeColor3);
    text-underline-offset: 5px;
    text-decoration-thickness: 2px;
}

.links.active{
    text-decoration: underline;
}

.side-socials {
    position: fixed;
    z-index: 9;
    width: min-content;
    height: 400px;
    left: 2.5%;
    bottom: 0;
    display: flex;
    gap: 5px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.svg{
    width: 30px; 
    height: 50px;
}

.side-socials div{
    height: 15vh;
    background-color: var(--themeColor3);
    display: block;
    width: 1px;
}

.side-socials a{
    color: var(--themeColor3);
    transition: color 0.5s ease-in-out;
}

.side-socials a:hover{
    color: var(--themeColor4);   
} 

.side-email {
    position: fixed;
    z-index: 9;
    width: min-content;
    height: 400px;
    right: 2.5%;
    bottom: 0;
    display: flex;
    gap: 5px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}



.side-email a {
    font-family: lexend sans-serif;
    text-decoration: none;
    color: var(--themeColor3);
    font-size: 20px;
    writing-mode: vertical-rl;
    letter-spacing: 2px;
    text-align: center;
}

.side-email a:hover{
    color: var(--themeColor4);
}

.line-mail{
    height: 15vh;
    background-color: var(--themeColor3);
    display: block;
    width: 1px;
}

.body{
    display: inline-block;
    z-index: 0;
    position: relative;
    margin: 50vh 7em auto 7em;
    width: 80%;
    opacity: 0;
		-webkit-transform: scale(0.99);
			 -moz-transform: scale(0.99);
				-ms-transform: scale(0.99);
				 -o-transform: scale(0.99);
						transform: scale(0.99);
		-webkit-transition: all 1s ease-in-out;
			 -moz-transition: all 1s ease-in-out;
				-ms-transition: all 1s ease-in-out;
				 -o-transition: all 1s ease-in-out;
						transition: all 1s ease-in-out;
}

.visible{
    opacity: 1;
		-webkit-transform: none;
			 -moz-transform: none;
				-ms-transform: none;
				 -o-transform: none;
						transform: none;
}

.name{
    font-family: 'Parkinsans';
    font-size: clamp(40px, 5vw, 100px);
    display: block;
    color: var(--themeColor3);
    font-weight: 500;
    opacity: 1;
		-webkit-transform: none;
			 -moz-transform: none;
				-ms-transform: none;
				 -o-transform: none;
						transform: none;
}

.dynamic {
    color: var(--themeColor4);
    font-size: clamp(20px, 3vw, 60px);
    font-family: 'Quicksand', sans-serif;
    font-weight: 600;
}

#dynamic::after {
    content: '|';
    animation: blink 1s infinite;
  }
  
  @keyframes blink {
    0%, 100% { opacity: 1; }
    50% { opacity: 0; }
  }
  

.hello{
    margin-top: 1em;
    font-size: clamp(10px, 1.5vw, 30px);
    font-family: 'lexend' sans-serif; 
    font-weight: 250;
    width: 70%;
    word-wrap: break-word;
    word-break: keep-all;
    color: var(--themeColor3);
}
.hello b{
    color: var(--themeColor4);
}

.hire{
    padding: 20px;
    background-color: none;
    color: var(--themeColor4);
    font-size: clamp(10px, 1.5vw, 30px);
    font-weight: 400;
    border: solid 1px var(--themeColor4);
    width: max-content;
    height: auto;
    border-radius: 5%;
    margin-top: 1rem;
    transition: all 0.5s ease-in-out;
    text-align: center;
}
.heir {
    text-decoration: none;
    width: min-content;
    display: block;
}

.hire:hover{
    background-color: var(--themeColor4);
    cursor: pointer;
    color: var(--themeColor2);
    border: solid 1px var(--themeColor2)
}

.sec_div{
    margin: 5rem auto auto 5rem;
}

@keyframes appear {
    from{
        opacity: 0;
        scale: 0.5;
    }
    to{
        opacity: 1;
        scale: 1;
    }
}
.port{
    display: grid;
    grid-template-columns: 30% 70%;
    align-content: center;
    width: auto;
    height: max-content;
    animation: appear  linear;
    animation-timeline: view();
    animation-range: entry 0 cover 50%;
}
.port :nth-child(1){
    font-size: clamp(20px, 4vw, 40px);
    color: var(--themeColor4);
    font-family:'Parkinsans' sans-serif;
}

.port :nth-child(2){
    width: 100%;
    height: 3px;
    background-color:  var(--themeColor2);
    place-self: center;
}

.intoduction{
    margin-top: 5rem;
    display: grid;
    grid-template-columns: 65% 30%;
    gap: 5%;
}

.child1{
    margin-top: 1em;
    font-size: clamp(10px, 1.5vw, 30px);
    font-family: 'lexend' sans-serif; 
    font-weight: 250;
    word-wrap: break-word;
    word-break: keep-all;
    color: var(--themeColor3);
}

/*@keyframes slideInLeft {
    0% {
        transform: translateX(-100%);
        top: 10px;
        opacity: 0;
        scale: 0.3;
    }
    100%{
        transform: translateX(0%);
        top: 0;
        opacity: 1;
        scale: 1;
    }
}*/

.child1 div{
    margin-top: 1rem;
    position: relative;
    overflow: hidden;
    opacity: 0;
    transform: translateY(60px);
    transition: all 1s ease-out;
}

.child1 div.show{
    opacity: 1;
    transform: translateY(0px);
}

.child2{
    width:  100%;
    height: auto;
}

.image-border{
    width: 23%;
    height: 5.2%;
    border: var(--themeColor4) solid 5px;
    z-index: 0;
    position: absolute;
    margin-top: 7rem;
    animation: appear  linear;
    animation-timeline: view();
    animation-range: entry 0 cover 30%;
}

.child2 img {
    width: 80%;
    height: 36%;
    transform: translateX(-10%) translateY(-10%);
    margin-top: 7rem;
    animation: appear  linear;
    animation-timeline: view();
    animation-range: entry 0 cover 30%;
}
.experience{
    margin: 10rem auto auto 1rem;
    opacity: 0;
		-webkit-transform: translateX(-60px);
			 -moz-transform: translateX(-60px);
				-ms-transform: translateX(-60px);
				 -o-transform: translateX(-60px);
						transform: translateX(-60px);
		-webkit-transition: all 0.6s ease-out;
			 -moz-transition: all 0.6s ease-out;
				-ms-transition: all 0.6s ease-out;
				 -o-transition: all 0.6s ease-out;
						transition: all 0.6s ease-out;
}

.clear_exp{
    opacity: 1;
		-webkit-transform: none;
			 -moz-transform: none;
				-ms-transform: none;
				 -o-transform: none;
						transform: none;
}


.experience h4{
    font-size: clamp(20px, 4vw, 40px);
    color: var(--themeColor4);
    font-family:'Parkinsans' sans-serif;
}

.experience p{
    margin-top: 1em;
    font-size: clamp(10px, 1.5vw, 30px);
    font-family: 'lexend' sans-serif; 
    font-weight: 250;
    word-wrap: break-word;
    word-break: keep-all;
    color: var(--themeColor3);
    opacity: 0;
    transform: translateY(60px);
    transition: all 1s ease-out;
}
.experience p.show{
    opacity: 1;
    transform: translateY(0px);
}


.skills{
    font-size: clamp(10px, 2vw, 33px);
    color: var(--themeColor4);
    font-family:'Parkinsans' sans-serif;
    margin-top: 3rem;
}

.codes {
    overflow: hidden;
    position: relative;
    height: 250px;
    mask-image: linear-gradient(
        to right,
        rgba(0,0,0,0),
        rgba(0,0,0,1) 15%,
        rgba(0,0,0,1) 90%,
        rgba(0,0,0,0)
    );
}

@keyframes scrollleft {
    to{
        left: -250px;
    }
}

.codes div {
    display: flex;
    position: absolute;
    left: 100%;
    animation: scrollleft 30s linear  infinite;
    padding: 20px;
    border-radius: 20%;
    margin-top: 1rem;
    border: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.codes div:nth-child(1){
    animation-delay: calc((30s / 10) * (10 - 1) * -1);
}

.codes div:nth-child(2){
    animation-delay: calc((30s / 10) * (10 - 2) * -1);
}

.codes div:nth-child(3){
    animation-delay: calc((30s / 10) * (10 - 3) * -1);
}

.codes div:nth-child(4){
    animation-delay: calc((30s / 10) * (10 - 4) * -1);
}

.codes div:nth-child(5){
    animation-delay: calc((30s / 10) * (10 - 5) * -1);
}

.codes div:nth-child(6){
    animation-delay: calc((30s / 10) * (10 - 6) * -1);
}

.codes div:nth-child(7){
    animation-delay: calc((30s / 10) * (10 - 7) * -1);
}

.codes div:nth-child(8){
    animation-delay: calc((30s / 10) * (10 - 8) * -1);
}

.codes div:nth-child(9){
    animation-delay: calc((30s / 10) * (10 - 9) * -1);
}

.codes div:nth-child(10){
    animation-delay: calc((30s / 10) * (10 - 10) * -1);
}

.ayomide{
    width: 100px;
    height: 100px;
}

.codes div p{
    text-align: center;
    font-family: 'lexend' sans-serif;
    color: var(--themeColor3);
    font-size: 2vw;
    border: none;
    margin: 0;
    font-weight: 600;
    display: none;
}

.custom_gap_img {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
}

.custom_gap_img i{
    font-size: 20px;
    font-family: var(--text-font-family);
    color: var(--themeColor3);
}

.custom_gap_img img{
    border-radius: 50%;
    object-fit: contain;
    animation: zoomimage 0.5s linear infinite;
}

@keyframes zoomimage {
    0%{
       scale: 0.8;
    }
    100%{
      scale: 1;
    }
}
.thi_div{
    margin: 7rem auto 0rem 0rem;
    opacity: 0;
    transform: translateY(70px);
    transition: all 1.2s linear;
    overflow: hidden;
}

.thi_div.show{
    opacity: 1;
    transform: translateY(0px);
}
.thi_rep{
    display: grid;
    grid-template-columns: 30% 70%;
   
}

.Offer {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    justify-content: center;
    align-items: center;
    margin-top: 5rem;
    overflow: hidden;
    gap: 20px 30px;
}

#type{
    position: relative;
    height: 250px;
    border-radius: 30px;
    z-index: 1111;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /*     box-shadow: -1px -1px 20px 0px #f7c873 */
}

.bg {
    width: 97%;
    position: absolute;
    top: 5px;
    left: 5px;
    height: 240px;
    z-index: 2;
    background: #222831;
    backdrop-filter: brightness(0.5);
    border-radius: 30px;
    overflow: hidden;
    outline: 2px solid white;
    padding: 10px 10px;
    color: transparent;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 5px;
}

.bg p{
    color: var(--themeColor3);
    font-family: var(--secondary-font-family);
    font-size: 13px;
    padding-left: 10px;
    line-height: 20px;
    word-break: keep-all;
    margin-top: 20px;
}

.ayomide2 {
    width: 50px;
    height: 50px;
    border-radius: 40%;
}

.blob {
    position: absolute;
    z-index: 1;
    top: 50%;
    left: 50%;
    width: 200px;
    height: 150px;
    border-radius: 50%;
    background-color: #ff0000;
    opacity: 1;
    filter: blur(12px);
    animation: blob-bounce 5s infinite ease;
    }
  
  @keyframes blob-bounce {
    0% {
      transform: translate(-100%, -100%) translate3d(0, 0, 0);
    }
  
    25% {
      transform: translate(-100%, -100%) translate3d(100%, 0, 0);
    }
  
    50% {
      transform: translate(-100%, -100%) translate3d(100%, 100%, 0);
    }
  
    75% {
      transform: translate(-100%, -100%) translate3d(0, 100%, 0);
    }
  
    100% {
      transform: translate(-100%, -100%) translate3d(0, 0, 0);
    }
  }

.thi_rep :nth-child(2){
    width: 100%;
    height: 3px;
    background-color:  var(--themeColor2);
    place-self: center;
}

.serve{
    font-size: clamp(20px, 4vw, 40px);
    color: var(--themeColor4);
    font-family:'Parkinsans' sans-serif;
}

.Offer h4 {
    font-size: 15px;
    color: var(--themeColor4);
    font-family: 'lexend', sans-serif;
    padding-left: 10px;
    margin-top: 4px;
}

.project{
    margin: 10rem auto 6rem 0rem;
}
.pro_head{
    font-size: clamp(10px, 3vw, 40px);
    color: var(--themeColor4);
    font-family:'Parkinsans' sans-serif;
}

.project1 {
    display: grid;
    grid-template-columns: 40% 60%;
    gap: 2rem;
    border-radius: 35px;
    background-color: var(--themeColor1);
    box-shadow: 0px 0px 15px 9px var(--themeColor4);
    margin-top: 3rem;
    margin-bottom: 6rem;
    padding-left: 2%;
    padding-bottom: 2%;
    height: 100%;
    justify-self: center;
    width: 90%;
    animation: appear  linear;
    animation-timeline: view();
    animation-range: entry 0 cover 30%;
}

.project1 img{
    width: 90%;
    height: 90%;
    margin: 2rem 0 0 1rem;
    border-radius: 15px;
}

.SASAP{
    font-family: 'lexend' sans-serif;
    margin-top: 2rem;
    font-size: clamp(10px, 1.5vw, 30px);
    font-family: 'lexend' sans-serif;
    font-weight: 250;
    word-wrap: break-word;
    word-break: keep-all;
    color: var(--themeColor3);
}

.ASAP{
    color: var(--themeColor4);
    font-size: 2rem;
    font-weight: 300;
    font-family: 'Quicksand' sans-serif;
}

.SAP {
    position: relative;
    margin-top: 10px;
    padding: 0px;
    font-size: 20px;
    font-family: 'Quicksand';
}

.live-demo {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 16px;
    border-radius: 20px;
    outline: 0;
    border: 2px var(--themeColor4) solid;
    background: transparent;
    font-family: var(--primary-font-family);
    font-size: 13px;
    color: var(--themeColor3);
    text-decoration: none;
    width: 150px;
    padding: 5px 5px;
    transition: all 0.3s ease-out;
}

.live-demo:hover{
    background-color: var(--themeColor4);
}
.live-demo:hover{
    color: var(--themeColor1);
}
.live-demo:hover .View{
    fill: var(--themeColor1);
}
.live-demo a{
    font-family: var(--primary-font-family);
    font-size: 13px;
    color: var(--themeColor3);
    text-decoration: none;
    display: block;
}

.View {
    height: 24px;
    width: 29px;
    fill: var(--themeColor4);
    background: none;
    padding: 0;
}
.conclude{
    margin: 10rem auto 5rem auto;
    text-align: center;
    display: grid;
    grid-template-columns: 100%;
    place-content: center;
    justify-items: center;
}

.con1{
    font-size: clamp(10px, 3vw, 40px);
    color: var(--themeColor4);
    font-family: 'Parkinsans' sans-serif;
}

.con2{
    font-family: 'Parkinsans';
    font-size: clamp(40px, 5vw, 80px);
    display: block;
    color: var(--themeColor3);
    font-weight: 500;
    margin-top: 4rem;
}

.con3{
    color: var(--themeColor4);
    font-size: clamp(10px, 3vw, 40px);
    font-family: 'Quicksand', sans-serif;
    margin-top: 4rem;
}

.con4a{
    text-decoration: none;
    width: min-content;
    display: block;
    text-align: center;
    margin-top: 4rem;
}

.con4{
    padding: 20px;
    background-color: none;
    color: var(--themeColor4);
    font-size: clamp(10px, 1.5vw, 30px);
    font-weight: 400;
    border: solid 1px var(--themeColor4);
    width: max-content;
    height: auto;
    border-radius: 5%;
    margin-top: 1rem;
    transition: all 0.5s ease-in-out;
    text-align: center;
    position: relative;
}

.con4:hover{
    background-color: var(--themeColor4);
    cursor: pointer;
    color: var(--themeColor2);
    border: solid 1px var(--themeColor2);
}

@media screen and (max-width: 1251px) {
    
    header div{
        width: 50%;
    }

    header div ul a {
        font-size: 15px;
    }

    .side-socials {
        gap: 0px;
        justify-content: space-evenly;
        bottom: -60px;
        height: 350px;
    }
    .svg {
        width: 25px;
        height: 25px;
    }

    .side-email {
        height: 350px;
        bottom: -60px;
        gap: 0px;
        justify-content: space-evenly;
    }

    .side-email a {
        letter-spacing: 1px;
        font-size: 15px;
    }

    .intoduction {
        margin-top: 2rem;
        display: grid;
        grid-template-columns: 60% 31%;
        gap: 10%;
    }

    .image-border {
        height: 5.9%;
    }

    .child1 {
        font-size: clamp(10px, 1.2vw, 30px);
    }

    .child2 img {
        width: 80%;
        height: 330px;
    }

    .ASAP {
        font-size: 25px;
    }

    .SAP {
        font-size: 17px;
        word-break: keep-all;
    }

    .live-demo {
        font-size: 11px;
        width: 130px;
    }

    .project1 img {
        width: 88%;
        margin: 1.5rem 0 0 1rem;
    }
}

/*@media screen and (min-width: 1441px) {
    header{
        gap: 20em;
    }

    .side-email a {
        letter-spacing: 2px;
    }

    .image-border {
        height: 4.8%;
    }

    .project1 img {
        width: 87%;
    }

    .SAP {
        margin-top: 2.3em;
    }
}
    */

@media screen and (max-width: 1025px) {
    body::-webkit-scrollbar{
        width: 7px;
    }
    header{
        padding: 10px 25px;
    }

    .false {
        width: 47vw;
        height: 40vw;
    }

    header img {
        height: 3.5rem;
        max-width: 9rem;
        width: 3.5rem;
    }

    header div ul a {
        font-size: 13px;
    }

    .side-socials {
        gap: 0px;
        justify-content: space-evenly;
        bottom: -60px;
        height: 310px;
    }
    .svg {
        width: 23px;
        height: 21px;
    }

    .side-email {
        height: 300px;
        bottom: -60px;
        gap: 0px;
        justify-content: space-evenly;
    
    }
    .side-email a {
        letter-spacing: 1px;
        font-size: 13px;
    }

    .body {
        margin: 22em 5em auto 5em;
    }

    .hello {
        font-size: clamp(10px, 1.3vw, 30px);
        width: 65%;
    }

    .hire {
        padding: 15px;
    }

    .sec_div {
        margin: 5rem auto auto 3rem;
    }

    .port :nth-child(1) {
        font-size: clamp(20px, 3vw, 40px);
    }

    .child1 {
        font-size: clamp(10px, 1.2vw, 30px);
    }

    .image-border {
        width: 24%;
        height: 6.4%;
    }

    .experience {
        margin: 8rem auto auto 1rem;
    }

    .experience h4 {
        font-size: clamp(20px, 3vw, 40px);
    }
    .ayomide {
    width: 70px;
    height: 70px;
    }
    .bg {
        gap: 2px;
    }

    .Offer h4 {
        font-size: clamp(10px, 1.4vw, 40px);
    }

    .bg p {
        font-size: 12px;
        line-height: 16px;
        margin-top: 20px;
    }
    .project1{
        gap: 1.2rem;
    }
    .custom_gap_img i {
        font-size: 15px;
    }
    .serve {
        font-size: clamp(20px, 3vw, 40px);
    }


    .con3 {
        font-size: clamp(10px, 2vw, 40px);
        margin-top: 3rem;
    }
}

@media screen and (max-width: 896px) {
    html::-webkit-scrollbar{
        width: 5px;
    }

    header {
        padding: 5px 20px;
    }

    header img {
        height: 2.5rem;
        width: 2.5rem;
    }

    header div ul a {
        font-size: 10px;
    }

    .side-socials {
        bottom: -25px;
        height: 210px;
    }

    .side-email {
        bottom: -25px;
        height: 210px;
    }

    .svg {
        width: 15px;
        height: 25px;
    }

    .side-email a {
        letter-spacing: 1px;
        font-size: 11px;
    }

    .body {
        margin: 23em 5em auto 5em;
    }

    .child2 img {
        width: 80%;
        height: 200px;
        margin-top: 5rem;
    }
    

    .sec_div {
        margin: 5rem auto 0 3rem;
    }

    .svg {
        width: 17px;
        height: 27px;
    }

    .experience p {
        font-size: clamp(10px, 1.4vw, 30px);
    }

    .ayomide {
        width: 60px;
        height: 60px;
    }

    .custom_gap_img {
        margin-top: -5rem;
    }

    .Offer {
        grid-template-columns: 1fr 1fr;
        margin-top: 3rem;
    }
    .ASAP {
        font-size: 20px;
    }
    .SAP {
        font-size: 14px;
    }
    .live-demo {
        font-size: 10px;
        width: 115px;
    }

    .project1 {
        display: grid;
        grid-template-columns: 40% 60%;
        gap: 2rem;
        border-radius: 35px;
        background-color: var(--themeColor1);
        box-shadow: 0px 0px 15px 9px var(--themeColor4);
        margin-top: 3rem;
        margin-bottom: 6rem;
        padding-left: 2%;
        padding-bottom: 2%;
        height: max-content;
        justify-self: center;
        width: 90%;
        animation: appear  linear;
        animation-timeline: view(); 
        animation-range: entry 0 cover 10%; 
    }

    .project {
        margin: 10rem auto 2rem 0rem;
    }
    .project1 img {
        width: 83%;
    }
}

@media screen and (max-width: 770px) {
    body::-webkit-scrollbar{
        width: 5px;
    }

    .intoduction {
        margin-top: 0;
    }
    .body {
        margin: 50vh 4em auto 4em;
    }
    .image-border {
        width: 23%;
        height: 4.5%;
        margin-top: 5rem;
    }

    .ayomide {
        width: 55px;
        height: 55px;
    }

    .custom_gap_img i {
        font-size: 12px;
    }


    .thi_div {
        margin: 4rem auto 0rem 0rem;
    }

    .bg p {
        font-size: 11px;
        margin-top: 10px;
    }

    .bg {
        width: 95%;
        height: 220px;
    }

    .blob {
        top: 35%;
        left: 50%;
        width: 130px;
        height: 140px;
    }
    .SASAP {
        margin-top: 1rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        gap: .5rem;
    }

    .ASAP {
        font-size: 15px;
    }

    .SAP {
        font-size: 11px;
    }

    .live-demo {
        font-size: 8px;
        width: 90px;
        padding: 0;
    }

    .project {
        margin: 4rem auto 2rem 0rem;
    }
    .project1{
        margin-bottom: 4rem;
    }
    .project1 img {
        width: 80%;
        height: 90%;
        margin: 1rem 0 0 1rem;
    }

    .conclude {
        margin: 6rem auto 2rem auto;
    }

    .con2{
        margin-top: 3rem;
    }

    .con3{
        margin-top: 2rem;
    }

    .con4a{
        margin-top: 2rem;
    }
    
}

@media screen and (max-width: 500px) {
    header div ul, .side-email, .side-socials {
        display: none;
    }

    .menu{
        display: block;
    }

    header div {
        width: auto;
    }

    header img {
        height: 3rem;
        width:3rem ;
        margin-left: 0.5rem;
        margin-top: 0.3rem;
    }

    .false {
        width: 60vw;
        height: 60vw;
    }

    .body {
        margin: 12em 0em auto 1em;
        width: 96%;
        max-width: 96%;
    }
    .name {
        font-size: clamp(40px, 5vw, 100px);
    }

    .custom_gap_img i {
        font-size: 7px;
    }
    .hello {
        width: 100%
    }

    .hire {
        padding: 10px;
    }

    .sec_div {
        margin: 6.5rem auto auto 1rem;
    }

    .port {
        grid-template-columns: 35% 56%;
    }

    .intoduction {
        grid-template-columns: 98%;
        gap:0;
    }

    .child2 {
        place-content: center;
        height: fit-content;
        justify-content: center;
    }

    .image-border {
        width: 40vw;
        height: 61vw;
        margin-left: 5rem;
        margin-top: 5rem;
    }


    .child2 img{
        width: 40vw;
        height: 60vw;
        margin-left: 5rem;
        margin-top: 5rem;
    }

    .skills {
        margin-top: 3rem;
        font-size: clamp(15px, 3vw, 40px);
    }

    .codes {
        column-gap: 3em;
        row-gap: 0em;
        width: 100%;
    }

    .ayomide{
        width: 45px;
        height: 45px;
    }

    .codes div {
        padding: 7px;
    }

    .codes div div {
        border: 1px solid var(--themeColor3);
    }
    .serve {
        font-size: clamp(15px, 3vw, 40px);
    }

    .custom_gap_img {
        margin-top: -7rem;
    }

    .Offer {
        grid-template-columns: 1fr;
        margin-top: 2rem;
    }
    .thi_div {
        margin: 4rem auto 1rem 0rem;
    }

    .thi_rep {
        grid-template-columns: 30% 60%;
    }
    .bg {
        width: 90%;
        height: 190px;
    }
    .blob {
        top: 35%;
        left: 46%;
        width: 165px;
        height: 170px;
    }

    #type {
        height: 200px;
        /* box-shadow: -1px -1px 20px 0px #f7c873; */
    }
    .project {
        margin: 5rem auto 6rem 0rem;
    }
    .live-demo{
        margin-top: 2px;
        font-size: 6px;
        width: 80px;
        padding: 0;
    }

    .View {
        height: 20px;
        width: 20px;
    }
    .SAP {
        width: 100%;
        height: auto;
        margin-top: 0;
        background-color: none;
    }

    .project1 {
        grid-template-columns: 100%;
        gap: 0rem;
    }

    .pro_head {
        font-size: clamp(10px, 5vw, 40px);
    }
    .project1 :nth-child(2) {
        padding-bottom: 15px;
    }


    .project1 img {
        width: 90%;
        height: 95%;
        margin: 1rem 0 0 1rem;
    }

    .experience {
        margin: 4rem 0.5rem 0 0 ;
        width: 100%;
    }

    .sec_div {
        margin: 5rem 0 auto 1rem;
        width: 95%;
    }

    #overlay{
        position: fixed;
        inset: 0;
        z-index: 1;
        background-color: rgba(0, 0, 0, 0.3);
        display: none;
    }
    header{
        z-index: 2;
        padding: 0px 0px;
    }

    #menu{
        margin-right: 10px;
    }

    .side-menu{
        width: 40vw;
        display: block;
        height: 189dvh;
        background-color: var(--themeColor4);
        position: fixed;
        right: -100%;
        z-index: 10;
        transition: right 0.5s ease-in-out;
        border-radius: 0% 0% 0% 0%;
    }

    .menu-icon{
        fill:var(--themeColor3);
    }

    .Xmenu-icon{
        fill: var(--themeColor2);
    }
    .side-menu .show{
        right: 0;
    }

    .side-menu ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }
    .side-menu li:nth-child(1){
        align-self: flex-end;
        width: fit-content;
    }

    .menu{
        cursor: pointer;
    }

    .Xmenu{
        cursor: pointer;
    }


    .side-menu li{
        width: 100%;
    }
    .side-menu li a{
        color: var(--themeColor2);
        text-decoration: none;
        font-family: 'Quicksand' sans-serif;
        display: block;
        width: 100%;
        text-align: center;
        transition: all 0.5s ease-in-out;
         padding: 5px 0 5px 10px;
         text-align:left;
    }

    .side-menu a:hover{
        background-color: var(--themeColor3);
        color: var(--themeColor4);
    }

    .side-menu li .links.active{
        background-color: var(--themeColor4);
        color: var(--themeColor1);
    }

    .side-menu li .links.active:hover{
        background-color: var(--themeColor3);
        color: var(--themeColor4);
    }

    .side-menu .Xmenu{
        position: relative;
    }
    

    .con4 {
        padding: 10px;
    }

}


@media screen and (max-width: 400px) {
    .body {
        margin: 50vh 0em auto 1em;
        width: 93%;
        max-width: 96%;
    }
    .false {
        width: 70vw;
        height: 70vw;
    }
    .skills {
        margin-top: 3rem;
        font-size: 12px;
    }
    .ayomide {
        width: 40px;
        height: 40px;
    }
    .bg {
        width: 85%;
        height: 190px;
        display: flex;
        justify-self: end;
    }
    .blob {
        top: 35%;
        left: 44%;
        width: 140px;
        height: 170px;
        display: flex;
        justify-self: center;
    }
    .serve {
        font-size: clamp(15px, 3vw, 40px);
    }
    .custom_gap_img i {
        font-size: 6px;
    }
    .con2 {
        font-family: 'Parkinsans';
        font-size: clamp(30px, 5vw, 80px);
    }

    .thi_rep {
        grid-template-columns: 30% 65%;
    }

    .port :nth-child(1) {
        font-size: clamp(15px, 3vw, 40px);
    }
}
